# Copyright (c) 2022-2023 Arm Limited and/or its affiliates.
# <open-source-office@arm.com>
#
# SPDX-License-Identifier: MIT
---
.generator-n1sdp:
  extends: .generator
  variables:
    MACHINE: n1sdp
    RUN_TESTS: 'none'


cassini/tests/n1sdp:
  extends: .generator-n1sdp
  variables:
    RUN_TESTS: ptest,acs,sanity
    NUMBER_OF_SEQUENCE_FILES: 10
  rules:
    - if: '($BUILD_IMAGE =~ /all-images/ || $BUILD_IMAGE =~ /k3s/) &&
           ($BUILD_PLATFORM =~ /all-platforms/ || $BUILD_PLATFORM =~ /n1sdp/)'
    - !reference [".build-image:rules:k3s", rules]
    - !reference [".build-image:rules:n1sdp", rules]

cassini/security/tests/n1sdp:
  extends: .generator-n1sdp
  variables:
    RUN_TESTS: 'ptest,sanity'
  rules:
    - if: '($BUILD_IMAGE =~ /all-images/ || $BUILD_IMAGE =~ /k3s/) &&
           ($BUILD_PLATFORM =~ /all-platforms/ || $BUILD_PLATFORM =~ /n1sdp/)'
    - !reference [".build-image:rules:k3s-security", rules]
    - !reference [".build-image:rules:n1sdp", rules]

cassini-dev/tests/n1sdp:
  extends: .generator-n1sdp
  variables:
    RUN_TESTS: 'ptest,sanity'
  rules:
    - if: '($BUILD_IMAGE =~ /all-images/ || $BUILD_IMAGE =~ /k3s/) &&
           ($BUILD_PLATFORM =~ /all-platforms/ || $BUILD_PLATFORM =~ /n1sdp/) &&
           ($FREQUENCY == "nightly")'

cassini-dev/security/tests/n1sdp:
  extends: .generator-n1sdp
  variables:
    RUN_TESTS: 'ptest,sanity'
  rules:
    - if: '($BUILD_IMAGE =~ /all-images/ || $BUILD_IMAGE =~ /k3s/) &&
           ($BUILD_PLATFORM =~ /all-platforms/ || $BUILD_PLATFORM =~ /n1sdp/) &&
           ($FREQUENCY == "nightly")'

cassini-sdk/n1sdp:
  extends: .generator-n1sdp
  rules:
    - if: '($BUILD_IMAGE =~ /all-images/ || $BUILD_IMAGE =~ /k3s/) &&
           ($BUILD_PLATFORM =~ /all-platforms/ || $BUILD_PLATFORM =~ /n1sdp/)'
    - !reference [".build-image:rules:k3s-sdk", rules]
    - !reference [".build-image:rules:n1sdp", rules]
